
import "./mobs/cave_brawler.js";
import "./mobs/the_snatching.js";
import "./mobs/stormspitter.js";

import "./items/end_scroll.js";
import "./items/mask_of_eyes.js";
import "./items/stasis_potion.js";
import "./items/cavernite_pickaxe.js";
import "./items/earthshaker_hammer.js";
import "./items/phantom_membrane_pole.js";

import "./blocks/glowing_dummy_block.js";
import "./blocks/ancient_ore_nodes.js";


// console.warn('loading sapi');


import { world, system } from "@minecraft/server";


// 给予guidebook
system.runInterval(() => {
    world.getAllPlayers().forEach((player) => {
        if (!player.hasTag("pm_mock.init")) {
            player.runCommand("/give @s pm_mock:guidebook");
            player.addTag("pm_mock.init");
        }
    });
}, 20);
